Requirements

BlueNote Communicator Classic is compatible with all 32/64 bit versions of Microsoft Windows starting with Version 7 and coming into modern times with Windows 10. We also support Windows-based tablets running Windows 8.1 pro or higher.


Currently, BlueNote only runs on Microsoft Windows. We do, however, support the use of BlueNote running inside a virtual machine with OS X as the host operating system. We recommend VMWare Fusion, Parallels and VirtualBox.